#pragma once
#define _TURN_OFF_PLATFORM_STRING
#define _UNICODE 1
#define UNICODE 1

// The code includes the most frequently used includes necessary to work with C++ REST SDK
#include "cpprest/containerstream.h"
#include "cpprest/filestream.h"
#include "cpprest/http_client.h"
#include "cpprest/json.h"
#include "cpprest/producerconsumerstream.h"
#include <iostream>
#include <sstream>
#include <vector>
#include <memory> // smart pointers
#include <algorithm>
#include <cvt/wstring>
#include <codecvt>

#include "cryptopp/cryptlib.h"
#include "cryptopp/randpool.h"
#include "cryptopp/osrng.h"
#include "cryptopp/base64.h"
#include "cryptopp/rsa.h"
#include "cryptopp/filters.h"
#include "cryptopp/files.h"
//#include "cryptopp/pem.h"


using namespace ::pplx;
using namespace utility;
using namespace concurrency::streams;

using namespace web::http;
using namespace web::http::client;
using namespace web::json;
using namespace std;
// Don't have "using namespace CryptoPP". It causes linker problems.

wstring utf8_to_wstring(const utf8string& str);
utf8string wstring_to_utf8(const wstring& str);
